Subject: bug#54343: 28.0.91; find-function goes to a wrong place for erc

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Mar 2022 01:59:13 +0100

"J.P." <[email-masked]> writes:

> So, just to summarize the new behavior re generics, if I do
>
>   (find-function 'xref-location-marker)
>
> it jumps to the first method definition in xref.el, whereas it used to
> end up on a defgeneric higher up in the same file, if present. But if
> there's no method in the file (as with `xref-backend-definitions', for
> example), the behavior remains unchanged. Probably not newsworthy
> enough, but just thought I'd state it for the record.

Hm...  it would be nice if it hit the defgeneric instead.  But you can
have a defmethod without a defgeneric...

> P.S. OK to install #53617 duplicate checks in erc--switch-to-buffer?

Skimming that bug report, it's not clear to me what the issue was there?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no